<?php

namespace BMail;

use Illuminate\Support\ServiceProvider;

class BMailServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->mergeConfigFrom(
            __DIR__ . '/../config/bmail.php',
            'bmail'
        );
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        $this->publishes([
            __DIR__ . '/../config/bmail.php' => config_path('bmail.php')
        ], 'config');
    }
}
