<?php

namespace BMail;

use Illuminate\Notifications\Notification;
use Psr\Http\Message\StreamInterface;

class BMailChannel
{
    /**
     * @param $notifiable
     * @param Notification $notification
     * @return \Psr\Http\Message\StreamInterface
     * @throws BMailException
     */
    public function send($notifiable, Notification $notification): StreamInterface
    {
        $template = $notification->toTemplate($notifiable);

        return (new BMailApi(config("bmail.api_key")))->send($template, $notifiable);
    }
}
